#ifndef __XCCLK_H__
#define __XCCLK_H__

#define XCCLK_DYNAMIC_DRIVER 1

#if XCCLK_DYNAMIC_DRIVER
int (*xcclk_tx)(const BYTE *data,DWORD size_bytes); /* TX configration data  */
int (*xcclk_program)(BYTE level);                   /* controll -PROGRAM pin */
int (*xcclk_done)(void);                            /* sense DONE pin        */
#else
extern int xcclk_tx(const BYTE *data,DWORD size_bytes); /* TX configration data */
extern  xcclk_program(BYTE level);                   /* controll -PROGRAM pin */
extern  xcclk_done(void);                            /* sense DONE pin        */
#endif


int xcclk_start(DWORD deviceid);
int xcclk_write(BYTE *data,DWORD size,int last);

#endif
